@import '~@angular/material/theming';

@mixin mat-custom-checkbox-theme($theme) {
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary);

  .mat-checkbox-inner-container {
    width: 1.125rem;
    height: 1.125rem;
  }
  .mat-checkbox-frame {
    transition: border-color 0.3s ease;
    border-color: mat-color($accent, 500);
  }

  mat-checkbox:hover {

    .mat-checkbox-frame {
      border-color: mat-color($accent, 700);
    }
  }

  .mat-checkbox-inner-container:hover .mat-checkbox-persistent-ripple {
    display: none;
  }

  .mat-checkbox-checkmark-path {
    stroke: $white !important;
  }

  .mat-checkbox-background,
  .mat-checkbox-layout,
  .mat-checkbox-frame {
      border-radius: 0.1875rem !important;
  }

  .mat-checkbox-checked {
    &.mat-primary {
      .mat-checkbox-background {
        background-color: mat-color($primary, 700);
      }
    }
  }

  .disabled,
  &.mat-checkbox-disabled,
  [disabled] {
    .mat-checkbox-checkmark-path {
      stroke: mat-color($accent, 700) !important;
    }
    .mat-checkbox-background {
        background: mat-color($accent, 300) !important;
    }

    &.mat-checkbox-checked,
    &.mat-checkbox-indeterminate {
      .mat-checkbox-background {
            background: mat-color($accent, 300) !important;
      }
    }
  }

  .mat-checkbox {
    .mat-checkbox-label {
      color: $grey-7;
      font-weight: 600;
      font-size: 0.8125rem;
    }

    &.mat-checkbox-checked,
    &.mat-checkbox-indeterminate {
      .mat-checkbox-label {
        color: mat-color($accent, 900);
      }
    }

    &.disabled,
    &.mat-checkbox-disabled,
    &[disabled] {
      .mat-checkbox-label {
        color: $grey-5;
      }

      &.mat-checkbox-checked {
        .mat-checkbox-label {
          color: $grey-5;
        }
      }
    }
  }
}
